Package com.databend.jdbc

# Class DatabendPreparedStatement

java.lang.Object
com.databend.jdbc.DatabendStatement
com.databend.jdbc.DatabendPreparedStatement

All Implemented Interfaces:
  `AutoCloseable`, `PreparedStatement`, `Statement`, `Wrapper`

public class DatabendPreparedStatement extends DatabendStatement implements PreparedStatement

## Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBatch()`
`void`
`clearBatch()`
`void`
`clearParameters()`
`void`
`close()`
`boolean`
`execute()`
`int[]`
`executeBatch()`
`int[]`
`executeBatchByAttachment()`
`int[]`
`executeBatchByCopyInto()`
`ResultSet`
`executeQuery()`
`int`
`executeUpdate()`
`ResultSetMetaData`
`getMetaData()`
`ParameterMetaData`
`getParameterMetaData()`
`void`
`setArray(int i, Array array)`
`void`
`setAsciiStream(int i, InputStream inputStream)`
`void`
`setAsciiStream(int i, InputStream inputStream, int i1)`
`void`
`setAsciiStream(int i, InputStream inputStream, long l)`
`void`
`setBigDecimal(int i, BigDecimal bigDecimal)`
`void`
`setBinaryStream(int i, InputStream inputStream)`
`void`
`setBinaryStream(int i, InputStream inputStream, int i1)`
`void`
`setBinaryStream(int i, InputStream inputStream, long l)`
`void`
`setBlob(int i, InputStream inputStream)`
`void`
`setBlob(int i, InputStream inputStream, long l)`
`void`
`setBlob(int i, Blob blob)`
`void`
`setBoolean(int i, boolean b)`
`void`
`setByte(int i, byte b)`
`void`
`setBytes(int i, byte[] bytes)`
`void`
`setCharacterStream(int i, Reader reader)`
`void`
`setCharacterStream(int i, Reader reader, int i1)`
`void`
`setCharacterStream(int i, Reader reader, long l)`
`void`
`setClob(int i, Reader reader)`
`void`
`setClob(int i, Reader reader, long l)`
`void`
`setClob(int i, Clob clob)`
`void`
`setDate(int i, Date date)`
`void`
`setDate(int i, Date date, Calendar calendar)`
`void`
`setDouble(int i, double v)`
`void`
`setFloat(int i, float v)`
`void`
`setInt(int i, int i1)`
`void`
`setLong(int i, long l)`
`void`
`setNCharacterStream(int i, Reader reader)`
`void`
`setNCharacterStream(int i, Reader reader, long l)`
`void`
`setNClob(int i, Reader reader)`
`void`
`setNClob(int i, Reader reader, long l)`
`void`
`setNClob(int i, NClob nClob)`
`void`
`setNString(int i, String s)`
`void`
`setNull(int i, int i1)`
`void`
`setNull(int i, int i1, String s)`
`void`
`setObject(int parameterIndex, Object x)`
`void`
`setObject(int parameterIndex, Object x, int targetSqlType)`
`void`
`setObject(int i, Object o, int i1, int i2)`
`void`
`setRef(int i, Ref ref)`
`void`
`setRowId(int i, RowId rowId)`
`void`
`setShort(int i, short i1)`
`void`
`setSQLXML(int i, SQLXML sqlxml)`
`void`
`setString(int i, String s)`
`void`
`setTime(int i, Time time)`
`void`
`setTime(int i, Time time, Calendar calendar)`
`void`
`setTimestamp(int i, Timestamp timestamp)`
`void`
`setTimestamp(int i, Timestamp timestamp, Calendar calendar)`
`void`
`setUnicodeStream(int i, InputStream inputStream, int i1)`
`void`
`setURL(int i, URL url)`

### Methods inherited from class com.databend.jdbc.DatabendStatement

`addBatch, cancel, checkOpen, clearWarnings, closeOnCompletion, connection, execute, execute, execute, execute, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, optionalConnection, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`executeLargeUpdate, setObject, setObject`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearWarnings, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### close

public void close() throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Statement`
Overrides:
  `close` in class `DatabendStatement`
Throws:
  `SQLException`

### executeBatchByAttachment

public int[] executeBatchByAttachment() throws SQLException

Throws:
  `SQLException`

### executeBatchByCopyInto

public int[] executeBatchByCopyInto() throws SQLException

Throws:
  `SQLException`

### executeBatch

public int[] executeBatch() throws SQLException

Specified by:
  `executeBatch` in interface `Statement`
Overrides:
  `executeBatch` in class `DatabendStatement`
Throws:
  `SQLException`

### executeQuery

public ResultSet executeQuery() throws SQLException

Specified by:
  `executeQuery` in interface `PreparedStatement`
Throws:
  `SQLException`

### executeUpdate

public int executeUpdate() throws SQLException

Specified by:
  `executeUpdate` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNull

public void setNull(int i, int i1) throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBoolean

public void setBoolean(int i, boolean b) throws SQLException

Specified by:
  `setBoolean` in interface `PreparedStatement`
Throws:
  `SQLException`

### setByte

public void setByte(int i, byte b) throws SQLException

Specified by:
  `setByte` in interface `PreparedStatement`
Throws:
  `SQLException`

### setShort

public void setShort(int i, short i1) throws SQLException

Specified by:
  `setShort` in interface `PreparedStatement`
Throws:
  `SQLException`

### setInt

public void setInt(int i, int i1) throws SQLException

Specified by:
  `setInt` in interface `PreparedStatement`
Throws:
  `SQLException`

### setLong

public void setLong(int i, long l) throws SQLException

Specified by:
  `setLong` in interface `PreparedStatement`
Throws:
  `SQLException`

### setFloat

public void setFloat(int i, float v) throws SQLException

Specified by:
  `setFloat` in interface `PreparedStatement`
Throws:
  `SQLException`

### setDouble

public void setDouble(int i, double v) throws SQLException

Specified by:
  `setDouble` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBigDecimal

public void setBigDecimal(int i, BigDecimal bigDecimal) throws SQLException

Specified by:
  `setBigDecimal` in interface `PreparedStatement`
Throws:
  `SQLException`

### setString

public void setString(int i, String s) throws SQLException

Specified by:
  `setString` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBytes

public void setBytes(int i, byte[] bytes) throws SQLException

Specified by:
  `setBytes` in interface `PreparedStatement`
Throws:
  `SQLException`

### setDate

public void setDate(int i, Date date) throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

### setTime

public void setTime(int i, Time time) throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

### setTimestamp

public void setTimestamp(int i, Timestamp timestamp) throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

### setAsciiStream

public void setAsciiStream(int i, InputStream inputStream, int i1) throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setUnicodeStream

public void setUnicodeStream(int i, InputStream inputStream, int i1) throws SQLException

Specified by:
  `setUnicodeStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBinaryStream

public void setBinaryStream(int i, InputStream inputStream, int i1) throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### clearParameters

public void clearParameters() throws SQLException

Specified by:
  `clearParameters` in interface `PreparedStatement`
Throws:
  `SQLException`

### setObject

public void setObject(int parameterIndex, Object x, int targetSqlType) throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

### setObject

public void setObject(int parameterIndex, Object x) throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

### execute

public boolean execute() throws SQLException

Specified by:
  `execute` in interface `PreparedStatement`
Throws:
  `SQLException`

### addBatch

public void addBatch() throws SQLException

Specified by:
  `addBatch` in interface `PreparedStatement`
Throws:
  `SQLException`

### clearBatch

public void clearBatch() throws SQLException

Specified by:
  `clearBatch` in interface `Statement`
Overrides:
  `clearBatch` in class `DatabendStatement`
Throws:
  `SQLException`

### setCharacterStream

public void setCharacterStream(int i, Reader reader, int i1) throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setRef

public void setRef(int i, Ref ref) throws SQLException

Specified by:
  `setRef` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBlob

public void setBlob(int i, Blob blob) throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setClob

public void setClob(int i, Clob clob) throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setArray

public void setArray(int i, Array array) throws SQLException

Specified by:
  `setArray` in interface `PreparedStatement`
Throws:
  `SQLException`

### getMetaData

public ResultSetMetaData getMetaData() throws SQLException

Specified by:
  `getMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

### setDate

public void setDate(int i, Date date, Calendar calendar) throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

### setTime

public void setTime(int i, Time time, Calendar calendar) throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

### setTimestamp

public void setTimestamp(int i, Timestamp timestamp, Calendar calendar) throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNull

public void setNull(int i, int i1, String s) throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

### setURL

public void setURL(int i, URL url) throws SQLException

Specified by:
  `setURL` in interface `PreparedStatement`
Throws:
  `SQLException`

### getParameterMetaData

public ParameterMetaData getParameterMetaData() throws SQLException

Specified by:
  `getParameterMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

### setRowId

public void setRowId(int i, RowId rowId) throws SQLException

Specified by:
  `setRowId` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNString

public void setNString(int i, String s) throws SQLException

Specified by:
  `setNString` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNCharacterStream

public void setNCharacterStream(int i, Reader reader, long l) throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNClob

public void setNClob(int i, NClob nClob) throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setClob

public void setClob(int i, Reader reader, long l) throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBlob

public void setBlob(int i, InputStream inputStream, long l) throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNClob

public void setNClob(int i, Reader reader, long l) throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setSQLXML

public void setSQLXML(int i, SQLXML sqlxml) throws SQLException

Specified by:
  `setSQLXML` in interface `PreparedStatement`
Throws:
  `SQLException`

### setObject

public void setObject(int i, Object o, int i1, int i2) throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

### setAsciiStream

public void setAsciiStream(int i, InputStream inputStream, long l) throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBinaryStream

public void setBinaryStream(int i, InputStream inputStream, long l) throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setCharacterStream

public void setCharacterStream(int i, Reader reader, long l) throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setAsciiStream

public void setAsciiStream(int i, InputStream inputStream) throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBinaryStream

public void setBinaryStream(int i, InputStream inputStream) throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setCharacterStream

public void setCharacterStream(int i, Reader reader) throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNCharacterStream

public void setNCharacterStream(int i, Reader reader) throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setClob

public void setClob(int i, Reader reader) throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBlob

public void setBlob(int i, InputStream inputStream) throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNClob

public void setNClob(int i, Reader reader) throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`